summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-08-01 12:48:13 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-08-01 12:48:13 +0000
commitf813b3ece9c5f1d65320cee800a2a4a24430dabb (patch)
treee7c6eee4befb5c63f355c2cc0e7be319631af7f6 /dev-python
parenta704fe501e82384e1a39628a470d42cc0c861090 (diff)
downloadbaldeagleos-repo-f813b3ece9c5f1d65320cee800a2a4a24430dabb.tar.gz
baldeagleos-repo-f813b3ece9c5f1d65320cee800a2a4a24430dabb.tar.xz
baldeagleos-repo-f813b3ece9c5f1d65320cee800a2a4a24430dabb.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PyPDF2/Manifest2
-rw-r--r--dev-python/PyPDF2/PyPDF2-2.9.0.ebuild130
-rw-r--r--dev-python/apsw/Manifest1
-rw-r--r--dev-python/apsw/apsw-3.39.2.0.ebuild50
-rw-r--r--dev-python/easy-thumbnails/Manifest1
-rw-r--r--dev-python/easy-thumbnails/easy-thumbnails-2.8.2.ebuild46
-rw-r--r--dev-python/flake8/Manifest1
-rw-r--r--dev-python/flake8/flake8-5.0.1.ebuild49
-rw-r--r--dev-python/imageio/Manifest1
-rw-r--r--dev-python/imageio/imageio-2.21.0.ebuild52
-rw-r--r--dev-python/libtmux/Manifest1
-rw-r--r--dev-python/libtmux/libtmux-0.12.0.ebuild41
-rw-r--r--dev-python/pytoolconfig/Manifest1
-rw-r--r--dev-python/pytoolconfig/pytoolconfig-1.2.2.ebuild35
-rw-r--r--dev-python/setuptools/Manifest1
-rw-r--r--dev-python/setuptools/setuptools-63.3.0.ebuild123
-rw-r--r--dev-python/sphinx-autodoc-typehints/Manifest1
-rw-r--r--dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.19.1.ebuild44
-rw-r--r--dev-python/tifffile/Manifest1
-rw-r--r--dev-python/tifffile/tifffile-2022.7.31.ebuild53
20 files changed, 634 insertions, 0 deletions
diff --git a/dev-python/PyPDF2/Manifest b/dev-python/PyPDF2/Manifest
index 3ded963a988d..a65fd600e5b4 100644
--- a/dev-python/PyPDF2/Manifest
+++ b/dev-python/PyPDF2/Manifest
@@ -5,5 +5,7 @@ DIST PyPDF2-2.6.0.gh.tar.gz 5600718 BLAKE2B 13c8e485d0cbb1a6621e0769840a9894822a
DIST PyPDF2-2.7.0.gh.tar.gz 5629582 BLAKE2B d6cdf3bdb974c4ffba4bf55a6acc9d8f2a30dd9f460c7ccad71bc836a0deea2ed1b3cc2743eaa0c5a377e7afe034a49412478635454bc6b846186ff3d77298ec SHA512 c04966e1d9175d729bec5f64300bbac41b9eee07ce881bf186faac9774b0a8e6f152c6213e75c81aae8e30ad90e04ed554596c3eba55526f6280e856d9556a4d
DIST PyPDF2-2.8.0.gh.tar.gz 5872029 BLAKE2B 3bad15238079cf6e9940c9e8a1b2108e5e810ed8c1223b6dcebf2904ab3f655809a56c8d861743100dfc1267ea6a6e5b0605702d95f2b210820e68a93585ad03 SHA512 a6d258a4ac61acd59ba6f4fa683b080a3b4c70bb0405c2b041d0565319648358236c6cfcefacf1bbea5b3107b7f64a98057c82ac1816f359a5c6fb3b1ce76257
DIST PyPDF2-2.8.1.gh.tar.gz 5872212 BLAKE2B 19224d1b38947ad14adfb9b33201e0223f6da43072c6bffb78fae939872d0a025e6d2fd6f1eed0c0b88754a359a5459a45a36130659d81089caa884025a922d1 SHA512 6414339017c154610dbb5affcbf94fcda7ab6d1ea78f35cc348a2b8e5fc8c60216c4f20ffc114cb3abd8245ad7a8b40b4cca6161e3a98caff896fb823acc7bea
+DIST PyPDF2-2.9.0.gh.tar.gz 5877910 BLAKE2B afea03f9ac21e4b39cd39ce03adf70a8e08b80315f7cdd81440e371396ba48939560a3835de9587be8020e1aab75726409ecec753ef0fb042d69fe7fc6755e80 SHA512 fefbc6e6eb7ac0a0154f662044acb66f1c034efc114e878ced109d54a3e5427bb73088cb88d765c4576c2d67459a2daf64415789f8efe9b66cf8ed2bb78ff297
DIST PyPDF2-sample-files-200644f7219811c3930ad1732ef70c570ece2d16.gh.tar.gz 5513604 BLAKE2B 1bfccaf3b50431d32341c24ea7aa203060d40d60a4b3656df35274d056918e7fccf99e11ee2539f65e6de15741ce28acaccd0ddc771ca334a8ba18a8953aee05 SHA512 5d2e1aa06e240957e9ec230406208fc653384b45b9e4b6631580c2eb4f08327e192c6ef57c2310ef3ed0604c85015b15f5ade8ef7d9f525e73733e040fe37fe5
DIST PyPDF2-sample-files-4d24ff93dcddf21d55d028d9675d5b5bf9d7a350.gh.tar.gz 5443819 BLAKE2B 6eb440a2db3b58f7e195b8f24438552b2b414296b887cf44d75b14bda367e37ffef75b870152ac3b38e20e5a6f2c6a4cf374087b70daa9036821dd3ebdce2128 SHA512 de631f650098b6fe15830e5a816158d7f352c7a25d0c743b9e4bdf146e1ef2e3a6ea1751ed5d68f34e9a339a793bfb9dc217934595c7a8dffb854c0a4111b963
+DIST PyPDF2-sample-files-b6f4ff3de00745783d79f25cb8803901d1f20d28.gh.tar.gz 5522867 BLAKE2B 9a6cb3b92032f9ec697b972b1a257b2c2528d36cd4a7e40092ac6dbf0a4955c5b204b8c82d37f9bad4a19fccddf0070b095ee2f3b56de22d738ed3d8a3b555c0 SHA512 74aad38060f441ace87f6650de152a28f4a251e4f47574a8d46066857c8fbbb187cd3cd275caa198dce2c1557e90664b288f071995c2bbb9bf13a341210313e8
diff --git a/dev-python/PyPDF2/PyPDF2-2.9.0.ebuild b/dev-python/PyPDF2/PyPDF2-2.9.0.ebuild
new file mode 100644
index 000000000000..cf8852094514
--- /dev/null
+++ b/dev-python/PyPDF2/PyPDF2-2.9.0.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=b6f4ff3de00745783d79f25cb8803901d1f20d28
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/PyPDF2/
+ https://github.com/py-pdf/PyPDF2/
+"
+SRC_URI="
+ https://github.com/py-pdf/PyPDF2/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Needs network access
+ tests/test_cmap.py
+ tests/test_filters.py::test_decompress_zlib_error
+ tests/test_filters.py::test_lzw_decode_neg1
+ tests/test_generic.py::test_dict_read_from_stream
+ tests/test_generic.py::test_parse_content_stream_peek_percentage
+ tests/test_generic.py::test_read_inline_image_no_has_q
+ tests/test_generic.py::test_read_inline_image_loc_neg_1
+ tests/test_generic.py::test_text_string_write_to_stream
+ tests/test_generic.py::test_name_object_read_from_stream_unicode_error
+ tests/test_generic.py::test_bool_repr
+ tests/test_generic.py::test_issue_997
+ tests/test_merger.py::test1
+ tests/test_merger.py::test_bookmark
+ tests/test_merger.py::test_iss1145
+ tests/test_merger.py::test_sweep_indirect_list_newobj_is_None
+ tests/test_merger.py::test_sweep_recursion1
+ tests/test_merger.py::test_sweep_recursion2
+ tests/test_merger.py::test_trim_outline
+ tests/test_merger.py::test_trim_outline_list
+ tests/test_merger.py::test_zoom
+ tests/test_merger.py::test_zoom_xyz_no_left
+ tests/test_page.py::test_empyt_password_1088
+ tests/test_page.py::test_extract_text_operator_t_star
+ tests/test_page.py::test_extract_text_page_pdf
+ tests/test_page.py::test_extract_text_page_pdf_impossible_decode_xform
+ tests/test_page.py::test_extract_text_single_quote_op
+ 'tests/test_page.py::test_page_operations[https://arxiv.org/pdf/2201.00029.pdf-None]'
+ tests/test_reader.py::test_extract_text_pdf15
+ tests/test_reader.py::test_extract_text_xref_issue_2
+ tests/test_reader.py::test_extract_text_xref_issue_3
+ tests/test_reader.py::test_extract_text_xref_table_21_bytes_clrf
+ tests/test_reader.py::test_get_fields
+ tests/test_reader.py::test_get_fields_read_else_block
+ tests/test_reader.py::test_get_fields_read_else_block2
+ tests/test_reader.py::test_get_fields_read_else_block3
+ tests/test_reader.py::test_get_fields_read_write_report
+ tests/test_reader.py::test_iss925
+ tests/test_reader.py::test_metadata_is_none
+ tests/test_reader.py::test_outline_color
+ tests/test_reader.py::test_outline_font_format
+ tests/test_reader.py::test_outline_with_empty_action
+ tests/test_reader.py::test_outline_with_missing_named_destination
+ tests/test_reader.py::test_read_form_416
+ tests/test_reader.py::test_unexpected_destination
+ tests/test_reader.py::test_unexpected_destination
+ tests/test_reader.py::test_xfa_non_empty
+ tests/test_reader.py::test_PdfReaderMultipleDefinitions
+ tests/test_utils.py::test_deprecate_no_replacement
+ tests/test_workflows.py::test_compress
+ tests/test_workflows.py::test_extract_text
+ tests/test_workflows.py::test_extract_textbench
+ tests/test_workflows.py::test_get_fields
+ tests/test_workflows.py::test_get_fonts
+ tests/test_workflows.py::test_get_metadata
+ tests/test_workflows.py::test_get_outline
+ tests/test_workflows.py::test_image_extraction
+ tests/test_workflows.py::test_merge
+ tests/test_workflows.py::test_merge_with_warning
+ tests/test_workflows.py::test_overlay
+ tests/test_workflows.py::test_scale_rectangle_indirect_object
+ tests/test_workflows.py::test_get_xfa
+ tests/test_writer.py::test_sweep_indirect_references_nullobject_exception
+ tests/test_writer.py::test_write_bookmark_on_page_fitv
+ tests/test_xmp.py::test_custom_properties
+ tests/test_xmp.py::test_dc_creator
+ tests/test_xmp.py::test_dc_description
+ tests/test_xmp.py::test_dc_subject
+ tests/test_xmp.py::test_issue585
+ tests/test_xmp.py::test_xmpmm
+ tests/test_merger.py::test_outline_item
+ tests/test_page.py::test_iss_1142
+ tests/test_page.py::test_read_link_annotation
+ tests/test_reader.py::test_named_destination
+ tests/test_writer.py::test_write_outline_item_on_page_fitv
+
+ # TODO
+ tests/test_workflows.py::test_orientations
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${P}"/sample-files/ || die
+ fi
+}
diff --git a/dev-python/apsw/Manifest b/dev-python/apsw/Manifest
index d281b36cd1fa..bd40c32c6402 100644
--- a/dev-python/apsw/Manifest
+++ b/dev-python/apsw/Manifest
@@ -1 +1,2 @@
DIST apsw-3.38.5-r1.gh.tar.gz 338186 BLAKE2B 145e38d4057be498f85a655ad7a437ec19a895769f58505b4b99093be30e67498faf9572494009db8e20e6700fa5e514605af131d045a4e8bb41587b828f5a88 SHA512 58331ca2db993f87316a55075ee9c440d4bd6e985e8ca11079391bd9cc2a907271ffe5c21d66840e336cd9e6568f6134c8b8fa5d28bbc7c77a1dddd48e8b99b7
+DIST apsw-3.39.2.0.gh.tar.gz 345634 BLAKE2B 433455fdb0dbc6192bbb3ef47cc1d54faa310715b81312b999a84f90de61e5362e4af8d3a705816100381ae920283d84a50fb2e51308227eecf9de5b7166c4ac SHA512 4d3eb68d47cf8114e7823969277d0f42c4091632d4aeab61f66e91e99601b6a5286875515e860e27a2f736c943dad1657f5c47cbdd23a3d1479d3019bfd1c05b
diff --git a/dev-python/apsw/apsw-3.39.2.0.ebuild b/dev-python/apsw/apsw-3.39.2.0.ebuild
new file mode 100644
index 000000000000..5226e71aabbe
--- /dev/null
+++ b/dev-python/apsw/apsw-3.39.2.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="APSW - Another Python SQLite Wrapper"
+HOMEPAGE="
+ https://github.com/rogerbinns/apsw/
+ https://pypi.org/project/apsw/
+"
+SRC_URI="
+ https://github.com/rogerbinns/apsw/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+IUSE="doc"
+
+DEPEND="
+ >=dev-db/sqlite-${PV%.*}:3
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.6.20.1-fix_tests.patch"
+)
+
+python_compile() {
+ # Needed for e.g. bug #851741
+ distutils-r1_python_compile --enable=load_extension
+}
+
+python_test() {
+ esetup.py build_test_extension
+ "${EPYTHON}" tests.py -v || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/. )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/easy-thumbnails/Manifest b/dev-python/easy-thumbnails/Manifest
index 9937011e7d12..bf862b6870c6 100644
--- a/dev-python/easy-thumbnails/Manifest
+++ b/dev-python/easy-thumbnails/Manifest
@@ -1 +1,2 @@
DIST easy-thumbnails-2.8.1.tar.gz 76527 BLAKE2B 1db0b229c90546e162d9691c768d09133218604cb27a4472b017d286f776e2898be232f3b0750e8b833a2746111d22da732c981a8a72986611b0fcf8c0f41ad9 SHA512 26ab9d41d7fa6adbec1cf78b92371e70bf44d20bf2f164016551d6d1bcbcbb190550ecbd8f177e83f3ee677fb3d921e0a411b49fe4d85202b70b6f441d43d247
+DIST easy-thumbnails-2.8.2.tar.gz 77482 BLAKE2B 5331c4ba9c729f70455dfa321c0027bfd6fbaa0c4d439d44789cb95d011b550ec4999eafe552c41dd4ea9657f5e4394322f50d8ddb30d5e2736a70e86ffa24e1 SHA512 1399a27300cb8bfb3ad74e2c3f2b52dd767913e3a1cf095374a4d1b8fdf2da8dd75d4ec8033e2fb9151ab680ec8439d90a778c6da7ef57d918a43c702299f216
diff --git a/dev-python/easy-thumbnails/easy-thumbnails-2.8.2.ebuild b/dev-python/easy-thumbnails/easy-thumbnails-2.8.2.ebuild
new file mode 100644
index 000000000000..1980e97347e2
--- /dev/null
+++ b/dev-python/easy-thumbnails/easy-thumbnails-2.8.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Easy thumbnails for Django"
+HOMEPAGE="
+ https://pypi.org/project/easy-thumbnails/
+ https://github.com/SmileyChris/easy-thumbnails/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="svg test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/django-2.2[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ svg? (
+ dev-python/reportlab[${PYTHON_USEDEP}]
+ dev-python/svglib[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/reportlab[${PYTHON_USEDEP}]
+ dev-python/svglib[${PYTHON_USEDEP}]
+ dev-python/testfixtures[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ local -x DJANGO_SETTINGS_MODULE=easy_thumbnails.tests.settings
+ local -x PYTHONPATH="${S}"
+ django-admin test -v 2 || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/flake8/Manifest b/dev-python/flake8/Manifest
index 084843824ab3..c684bb7c210f 100644
--- a/dev-python/flake8/Manifest
+++ b/dev-python/flake8/Manifest
@@ -1 +1,2 @@
DIST flake8-4.0.1.tar.gz 154905 BLAKE2B b93fea36236881da595ae924b056686e0cd35d2466c1858e3ee83262922df8bc38cf5cd40a910980d287d048572dc94eb8d7c8ee4b11ebd1b4a474dfca02490c SHA512 0bdbf0218ce893df1c3e61f51cd3f371a5c72bb49ef78fec39548b1684e49b024e91cf4e3dcea60ba1efc08727985ef485814c372461e062ff4f810da99a1796
+DIST flake8-5.0.1.gh.tar.gz 145559 BLAKE2B 27c49d0e30696be086a68382235611fccf978edbd73fff0b41cd285eb6443bc183f12d54337777d07348951a6e1775793608be567149fecdfcd40cb75e879fcd SHA512 63e91269c9cad7d5807a5b6cc6dfe5fc1db6353fe28bbb6b3459e9a7ee3140db2a40c202d5964acc69546af386d4f0ea5132cbcc60d07f179960249827062440
diff --git a/dev-python/flake8/flake8-5.0.1.ebuild b/dev-python/flake8/flake8-5.0.1.ebuild
new file mode 100644
index 000000000000..cac17ff65f77
--- /dev/null
+++ b/dev-python/flake8/flake8-5.0.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A wrapper around PyFlakes, pep8 & mccabe"
+HOMEPAGE="
+ https://github.com/pycqa/flake8/
+ https://pypi.org/project/flake8/
+"
+SRC_URI="
+ https://github.com/PyCQA/flake8/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+# requires.txt inc. mccabe however that creates a circular dep
+RDEPEND="
+ >=dev-python/pyflakes-2.5.0[${PYTHON_USEDEP}]
+ <dev-python/pyflakes-2.6.0[${PYTHON_USEDEP}]
+ >=dev-python/pycodestyle-2.9.0[${PYTHON_USEDEP}]
+ <dev-python/pycodestyle-2.10.0[${PYTHON_USEDEP}]
+"
+PDEPEND="
+ >=dev-python/mccabe-0.7.0[${PYTHON_USEDEP}]
+ <dev-python/mccabe-0.8.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ ${PDEPEND}
+ )
+"
+
+distutils_enable_sphinx docs/source dev-python/sphinx-prompt dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # fails if additional flake8 plugins are installed
+ tests/integration/test_plugins.py::test_local_plugin_can_add_option
+)
diff --git a/dev-python/imageio/Manifest b/dev-python/imageio/Manifest
index 0a7aef176983..1fd70e722c29 100644
--- a/dev-python/imageio/Manifest
+++ b/dev-python/imageio/Manifest
@@ -1,3 +1,4 @@
DIST imageio-2.19.3.gh.tar.gz 388949 BLAKE2B bf7f7b2cc036d6bc808cedeefe624dfe43b232518f78974fffe9c664f23c8e89da73e5b777ee6049aa0ec363400fe8d9df1388a91a4b0a01089609d7ce12eaf3 SHA512 5ad9f332ea723facd5d9295e463b12d2cc17dfef8a7349ce194a8d32fcc5d07a29550834c66dc6e5837f8440347387b46624243fa267750f986042910ff6cb90
DIST imageio-2.19.5.gh.tar.gz 389832 BLAKE2B a4455f97d2607d215ba4797e076487f4648ae6b21bf7b5207df8f337b52319ba4dd415d6e351289b588a049c800e8c541fcdaefe064cb4c83de12e63c492cf83 SHA512 481f14116961927946a71a7448ecf38f9781172969ab4e35c05360d758f7273be22262d4cd774a76b2089be3b7f0af6cf0a67d40814504e7a65db7075428966c
DIST imageio-2.20.0.gh.tar.gz 390281 BLAKE2B 745364f98e3835c428e89abbfbeeb657d10cd730cd61283e5859b10a6e48b63a5b9771860fce75aa8dd770ab77671979847b34bbffe17d215fac5ceb8eb2c7d1 SHA512 fc1c41559cc15b76bfacbf4866717c200889661787de4baa49d69fab189ff7d00e376afdeeaaf74b5581e1ffc96da2f02566dfa9c0953518b98a4c4b695ddf02
+DIST imageio-2.21.0.gh.tar.gz 391056 BLAKE2B 90fbacf7b396ab2b422d8694274ddc3642c92cfd325bce2861100f5bd28d82120cef6819b53b8ed82ba474d5e287765b63da9a7edfbfab5a026790a39d4edc1e SHA512 5bb070da560ba3a2e10bdb288ad539274ee14f8cf0543847859f0bae052b3d1782777d823435b74120bcfdff0b6cb15a6c80b2a9bf729439bbb3802f15cf5684
diff --git a/dev-python/imageio/imageio-2.21.0.ebuild b/dev-python/imageio/imageio-2.21.0.ebuild
new file mode 100644
index 000000000000..65cad728e477
--- /dev/null
+++ b/dev-python/imageio/imageio-2.21.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for reading and writing image data"
+HOMEPAGE="
+ https://imageio.readthedocs.io/en/stable/
+ https://github.com/imageio/imageio/
+ https://pypi.org/project/imageio/
+"
+SRC_URI="
+ https://github.com/imageio/imageio/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# over 50% of tests rely on Internet
+PROPERTIES="test_network"
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-python/numpy-1.20.0[${PYTHON_USEDEP}]
+ >=dev-python/pillow-8.3.2[${PYTHON_USEDEP}]
+ media-libs/freeimage
+"
+# requests for fsspec[github]
+BDEPEND="
+ test? (
+ dev-python/fsspec[${PYTHON_USEDEP}]
+ dev-python/imageio-ffmpeg[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/tifffile[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Fails because of system installed freeimage
+ tests/test_core.py::test_findlib2
+ # Tries to download ffmpeg binary ?!
+ tests/test_ffmpeg.py::test_get_exe_installed
+)
diff --git a/dev-python/libtmux/Manifest b/dev-python/libtmux/Manifest
index 2345419df796..49cf8df41bce 100644
--- a/dev-python/libtmux/Manifest
+++ b/dev-python/libtmux/Manifest
@@ -1,2 +1,3 @@
+DIST libtmux-0.12.0.gh.tar.gz 214161 BLAKE2B 7040da2ee782b2e6bc73c70de0f5d5713c989a0959b0e731ac060f442e82e99829689f924cc2aeef6e79339b4f419df4143e2d5a9e356ad27cccb9cb3802e2f2 SHA512 f6f80daa3aaa99dd81ec0eb6a119ab1ad5fcd6c656d280b06a40c2b3bdc8d3ca7ae06089ea74482bfff005997f07e346338330d9ecf1c6745a6f3b7719b9cd0a
DIST libtmux-v0.10.3.tar.gz 225258 BLAKE2B 40d591ee1f8a6068947b61416d6247b2475cc99031a67c167dc527631e50075f18c46fe6fc16193867d83a1a735b0a23fbfbc77f4539f788f05375f1f68b77d2 SHA512 2c8f28ce8c313404caffa42e5fd4a1dfa5d48bdc48203f8db595cb97b44886d63608771f23d62d76a56513b7e4578e48a31cacd224eca92425f110efd0a5db69
DIST libtmux-v0.11.0.tar.gz 234278 BLAKE2B 4939d38894fd6a1492ff282c98243b2d5b3b6f787691031c74337629aed710d3caebeb3bfce571e8f38fe07ecc341b6b3f8aa0bc42979fa362f5f0679aabf21e SHA512 e09749ce4cf7cf7756e4e40e50c6eb0a00435f2b00c8436667b6b77a94078e9c380a811107f8129ea0d347355f3ce8bb213b8fb36de2becf3cf1a2dbebd97867
diff --git a/dev-python/libtmux/libtmux-0.12.0.ebuild b/dev-python/libtmux/libtmux-0.12.0.ebuild
new file mode 100644
index 000000000000..460a05d42425
--- /dev/null
+++ b/dev-python/libtmux/libtmux-0.12.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="python api for tmux"
+HOMEPAGE="https://libtmux.git-pull.com/"
+SRC_URI="
+ https://github.com/tmux-python/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ >=app-misc/tmux-3.0a
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/twine[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ local issues="https://github.com/tmux-python/libtmux/issues/"
+ sed -r -i "s|:issue:\`([[:digit:]]+)\`|\`issue \1 ${issues}\1\`|" CHANGES || die
+ rm requirements/doc.txt || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/pytoolconfig/Manifest b/dev-python/pytoolconfig/Manifest
index 70984d71a44b..f3f2e01c96f7 100644
--- a/dev-python/pytoolconfig/Manifest
+++ b/dev-python/pytoolconfig/Manifest
@@ -1,2 +1,3 @@
DIST pytoolconfig-1.1.2.tar.gz 12066 BLAKE2B 9e1627bebd1cf8e5cd36e3d772ec3abc26d46b55bb582fb4c11f3073b2a0c1bcc64022a559791b3c63e4c92db7a762f5c2656e353f69dde223c319e419e61adb SHA512 bae9636d23ab3df1bf7f64d10ec7735b741bbab53afb79bccac3586774081c1d2170fc4086725c13bc6d296c3460098956386f9707ef9aeb6b57a21a4c9ba16f
DIST pytoolconfig-1.2.1.tar.gz 15182 BLAKE2B 667ded3571855edd78540d60d973f09b325e614b9c85bf8b4a1d235ca4bb4bfbe992f511fd65991740a87c61e8a2bc4ec35f00723e7556bf9ca8c9c2752a5f63 SHA512 01620f98494f3f73192f530727e007aca0b7ebd7c2f0d363604d138aef13bcd4b394f59eb980504da03ad323016fe1a5f36e2abca0bb6462828aba77ed4ce1c5
+DIST pytoolconfig-1.2.2.tar.gz 16195 BLAKE2B 02434bf9bc815fe1beeb13496427d6735fd0eebca66371eaa1a8df5d318879584b9e27d7b2272535e41af91b46544264d570b2727e524e6ba52c4e4be475ad84 SHA512 5bcbf7f2fc7941e128b3e717ff213e1e43be417ca3b906fa75a40f822815a4ea79b55cbb3e297caa3abf9032fedda1a791165491f52d4bbce5f4d29eea3c3599
diff --git a/dev-python/pytoolconfig/pytoolconfig-1.2.2.ebuild b/dev-python/pytoolconfig/pytoolconfig-1.2.2.ebuild
new file mode 100644
index 000000000000..d94532ce2702
--- /dev/null
+++ b/dev-python/pytoolconfig/pytoolconfig-1.2.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python tool configuration"
+HOMEPAGE="
+ https://pypi.org/project/pytoolconfig/
+ https://github.com/bageljrkhanofemus/pytoolconfig/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.{8..10} )
+"
+BDEPEND="
+ test? (
+ >=dev-python/sphinx-4.5.0[${PYTHON_USEDEP}]
+ >=dev-python/tabulate-0.8.9[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index d2c1e8f7f4ce..9dbf91d44c61 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -1,3 +1,4 @@
DIST setuptools-62.6.0.tar.gz 2599326 BLAKE2B 7f4200f9d9e94fca17fad2c37dab6c2175f5562703d2913ac11cf34020e65dd6aa7d024536e5294de5fb5e9523419526f0b56282da62ba0ca40e7e164c97260e SHA512 d67c438d507fc7959162b5e8c2a15e9c36d37e5cd7052e16eeb58d8a9bcf19b725a0e7b840e101500799d725bbc4c1872d0f79eead66a538e891cc7cfbe3d979
DIST setuptools-63.1.0.tar.gz 2599380 BLAKE2B 532f484ea0e40a820ac266e878e6210c953a37f32f6ec51032c2570395c71fe7d59b30f8787a1127c7c2ebfcd76985bd3f6f57b558f01a34eced8797cc6d1aa6 SHA512 367b52dfbd5d1a6980d061a47c1948ee8efd9632f694c21e8d518639b8097fbda8f1735641c25d7528bc11beeffc42d6bcba9e0d9b755d5b6fbb74d26bf7cc5c
DIST setuptools-63.2.0.tar.gz 2605892 BLAKE2B c9475a64fbe22be348277d25582a0c1789544822a891ebfb8e8e79b122631d31bf3535aac1b408a254c1f29ea9ca20bd9b270e4d78ddc539aea4e3c59a6e7f7b SHA512 e55c19bb95415a5f831fd23dfc32cb79fdad71867bc225f2a76caecb3c188fa6a5dac8d13e131a97d1833672a245b28a53a11ceafd67ac19cacd4a247ba7d291
+DIST setuptools-63.3.0.tar.gz 2598685 BLAKE2B 8562824cf6e45f2757cbaf4360c0b7c8e592233875a00e5490de5f2af47ca2d43a6feac5876ca9e866fb840c62dc1b0aa2b2d7c1e5e9baf34741404803b02d31 SHA512 01f3b658862f70e8ce2dd74d9dd82a293216b356f1f3abb3b6b4fa77dd5347156a58959da6e6df349a1c114d58f617890e4bc8c6603f06be0fb3caec9bf21fe2
diff --git a/dev-python/setuptools/setuptools-63.3.0.ebuild b/dev-python/setuptools/setuptools-63.3.0.ebuild
new file mode 100644
index 000000000000..97e919bbffe0
--- /dev/null
+++ b/dev-python/setuptools/setuptools-63.3.0.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( python3_{7,8,9,10} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="
+ https://github.com/pypa/setuptools/
+ https://pypi.org/project/setuptools/
+"
+SRC_URI="
+ mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/appdirs-1.4.4-r2[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-text-3.7.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-8.12.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/nspektr-0.3.0[${PYTHON_USEDEP}]
+ >=dev-python/ordered-set-4.0.2-r1[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.3-r2[${PYTHON_USEDEP}]
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-4.11.1[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_resources-5.4.0-r3[${PYTHON_USEDEP}]
+ ' 3.8)
+"
+BDEPEND="
+ ${RDEPEND}
+ >=dev-python/wheel-0.37.1-r1[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/build[${PYTHON_USEDEP}]
+ >=dev-python/ini2toml-0.9[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-envs-2.2[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-path-3.2.0[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/pip-run[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
+ dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/tomli-w-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+PDEPEND="
+ >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+"
+
+DOCS=( {CHANGES,README}.rst )
+
+src_prepare() {
+ local PATCHES=(
+ # TODO: remove this when we're 100% PEP517 mode
+ "${FILESDIR}"/setuptools-62.4.0-py-compile.patch
+ )
+
+ # remove bundled dependencies, setuptools will switch to system deps
+ # automatically
+ rm -r */_vendor || die
+
+ # remove the ugly */extern hack that breaks on unvendored deps
+ rm -r */extern || die
+ find -name '*.py' -exec sed \
+ -e 's:from \w*[.]\+extern ::' -e 's:\w*[.]\+extern[.]::' \
+ -i {} + || die
+
+ distutils-r1_src_prepare
+
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+ local -x SETUPTOOLS_USE_DISTUTILS=stdlib
+
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # network
+ # TODO: see if PRE_BUILT_SETUPTOOLS_* helps
+ setuptools/tests/config/test_apply_pyprojecttoml.py::test_apply_pyproject_equivalent_to_setupcfg
+ setuptools/tests/integration/test_pip_install_sdist.py::test_install_sdist
+ setuptools/tests/test_distutils_adoption.py
+ setuptools/tests/test_setuptools.py::test_its_own_wheel_does_not_contain_tests
+ setuptools/tests/test_virtualenv.py::test_clean_env_install
+ setuptools/tests/test_virtualenv.py::test_no_missing_dependencies
+ setuptools/tests/test_virtualenv.py::test_test_command_install_requirements
+ # TODO
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_basic
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_ignore_errors
+ setuptools/tests/test_extern.py::test_distribution_picklable
+ # expects bundled deps in virtualenv
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_in_sdist
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_not_in_wheel
+ setuptools/tests/test_editable_install.py::test_editable_with_pyproject
+ )
+
+ epytest -n "$(makeopts_jobs)" setuptools
+}
diff --git a/dev-python/sphinx-autodoc-typehints/Manifest b/dev-python/sphinx-autodoc-typehints/Manifest
index ceb71bfa6118..3dd2ef052d1e 100644
--- a/dev-python/sphinx-autodoc-typehints/Manifest
+++ b/dev-python/sphinx-autodoc-typehints/Manifest
@@ -1,2 +1,3 @@
DIST sphinx-autodoc-typehints-1.18.3.gh.tar.gz 26457 BLAKE2B 343a6ffcbca40f28a66c67266431f3a9b2292bd0d991de4287b9adf9e02b7d8fb24094646caa55790f32cd9081abca525f310367335d60fa1b7ea3bc9623bb1c SHA512 549bdfad8f5c07f5edb1c6cdeaff39df22cc7bfa475c70b5c54ff46b311d14c9f3682bf68663d852b95ebff8fd1b71038fc077495d99d870ae2efbf72ec99a42
DIST sphinx-autodoc-typehints-1.19.0.gh.tar.gz 26950 BLAKE2B 4e530c0b16500d8489bed7f50518b1bc30fdc824d41eb6cc66786096c09c910deb92ac580438395e3b71fd2d3b64690986cb035ff2d784e26918a42bdc73d8fc SHA512 d9459aca1091da0fa446d7ce72ef83c172775b66081d87431c14fd9cfda42770dbd08450ff193e3accffe0eb11efde22804e4ffff20a8e0e9072a05bc34a99e9
+DIST sphinx-autodoc-typehints-1.19.1.gh.tar.gz 26942 BLAKE2B a2b16292eeaf87cb4879bf54727874952b61b596c6226679ba472a0e138fc09f82aaeffabf0f83eca56d2b2df609ed0355e1f3ab5dffd8119c1eccc755bbb16d SHA512 16227301bb0e3035163734c852068d7d06ff03c1e577963bdbcffb5b24b1ededc7feb16025fdcf8611182bdbbc7b071288f5d1d42cb0115bef6f9652898e3a8a
diff --git a/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.19.1.ebuild b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.19.1.ebuild
new file mode 100644
index 000000000000..78ea695ff82e
--- /dev/null
+++ b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.19.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Type hints support for the Sphinx autodoc extension"
+HOMEPAGE="
+ https://github.com/tox-dev/sphinx-autodoc-typehints/
+ https://pypi.org/project/sphinx-autodoc-typehints/
+"
+SRC_URI="
+ https://github.com/tox-dev/sphinx-autodoc-typehints/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/sphinx-4.5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/nptyping-2.1.1[${PYTHON_USEDEP}]
+ dev-python/sphobjinv[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # this package is addicted to Internet
+ tests/test_sphinx_autodoc_typehints.py::test_format_annotation
+)
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/tifffile/Manifest b/dev-python/tifffile/Manifest
index 88f31bde4230..6efb9b6c69df 100644
--- a/dev-python/tifffile/Manifest
+++ b/dev-python/tifffile/Manifest
@@ -1,2 +1,3 @@
DIST tifffile-2022.5.4.gh.tar.gz 290116 BLAKE2B 4c608ad38ad7ada0e1b41512eae7b4109680cab1f5623ea3cd6c01dfe17b534b518868ee21879ecfa9909f7680a04fbb63967b5c8064062cc325286baaaccb6b SHA512 cc6139872c42e0e2840a9774989b5cba57ef8957e2efa4349e7b224c61ebb8ad34287b9305dddd85b1239d03be4ada73526259b038c19c73513007e5f63d224d
DIST tifffile-2022.7.28.gh.tar.gz 309010 BLAKE2B 4a52a688ce7f09265592f8bd2bed2eaf9648304908aa1b190c07a22b58f10bb3f71f9ea1f9a612a2592f75f457acc04cc2139ef0cbd75ea40a7e91408075062b SHA512 12647884cb77fc8e414c09aface82def1ad2bb0a11a1f17fa00e6954cf565a906b6a8c9e861d0a476a86ef8ea25da12d1069199109cb84030d312021d722f23e
+DIST tifffile-2022.7.31.gh.tar.gz 309561 BLAKE2B 9a7c2584dbf7741d3c77c7dac3a6a16393dc5630ac97fa2d5110ad7458c04b60dbb618075718856f7ad7846470430c6f978a17dc1706a58441460b28a57d0c78 SHA512 6e935b46cf404cc027e6430e304c3993e74b6ae577817efc68fff525de96b01f13b14cfce9a21c5d25a082bdcb56e4b4e6ab9803959357ec6bd7a26bf0d0503a
diff --git a/dev-python/tifffile/tifffile-2022.7.31.ebuild b/dev-python/tifffile/tifffile-2022.7.31.ebuild
new file mode 100644
index 000000000000..4f6198ecaba1
--- /dev/null
+++ b/dev-python/tifffile/tifffile-2022.7.31.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Read and write TIFF files"
+HOMEPAGE="
+ https://pypi.org/project/tifffile/
+ https://github.com/cgohlke/tifffile/
+ https://www.cgohlke.com/
+"
+SRC_URI="
+ https://github.com/cgohlke/tifffile/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/numpy-1.19.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/dask[${PYTHON_USEDEP}]
+ >=dev-python/fsspec-2021.5.0[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/xarray[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ tests/test_tifffile.py::test_class_omexml
+ tests/test_tifffile.py::test_class_omexml_fail
+ tests/test_tifffile.py::test_class_omexml_modulo
+ tests/test_tifffile.py::test_class_omexml_attributes
+ tests/test_tifffile.py::test_class_omexml_multiimage
+ tests/test_tifffile.py::test_write_ome
+ tests/test_tifffile.py::test_write_ome_manual
+ # requires tons of free space
+ tests/test_tifffile.py::test_write_3gb
+ tests/test_tifffile.py::test_write_bigtiff
+ 'tests/test_tifffile.py::test_write_imagej_raw'
+)